---------------мир-----------------

necrom1 = room {
	nam = 'Цитадель некроманта',
	entered = function(s)
		if (visited(s) == nil) then
			p ([[Сознание медленно возвращалось ко мне. Я лежал на чем-то холодном.	
			Во всем теле ощущалось странное онемение, но больше никаких неприятных ощущений. 
			Точнее вообще никаких ощущений. Что произошло? Похоже, мне изрядно досталось, но боли я не ощущал.
			Я открыл глаза и увидел сводчатый потолок довольно просторного зала.^
			-- Ты очнулся!? Слава небесам! У меня получилось!]]);
		end;
	end;
	dsc = [[Я нахожусь в просторном зале, заставленном разными странными приспособлениями. В центре зала находится массивный каменный стол, на котором я обнаружил себя, впервые очнувшись здесь.]],
	obj = {'necromancer1'},
	way = {vroom ('Выйти наружу', 'mountain'):disable()},
};

mountain = room {
	nam = 'Горы',
	enter = function()
		if (rnd(2) == 1) then
			local mobselect = rnd(3);
			if (mobselect == 1) then
				mob1 = rat;
			elseif (mobselect == 2) then
				mob1 = zombie;
			else
				mob1 = skeleton;
			end;
			walkin(fight);
		end;
	end;
	dsc = [[Величественные пики гор возвышаются передо мной. По перевалу идет узкая тропа.]],
	way = {	'necrom1', 'road'},
};

road = room {
	nam = "Дорога",
	enter = function()
		if (rnd(3) == 1) then
			local mobselect = rnd(4);
			if (mobselect == 1) then
				mob1 = rat;
			elseif (mobselect == 2) then
				mob1 = zombie;
			elseif (mobselect == 3) then
				mob1 = redneck;
			else
				mob1 = werewolf;
			end;
			walkin(fight);
		end;
	end;
	dsc = [[Широкая дорога, ведущая в город. У дороги стоит одинокая таверна. 
	По левую руку у горизонта начинаются горы, по правую руку —- дремучий лес.
	У опушки виднеется небольшая деревушка.]],
	way = { 'city', 'mountain', 'tavern', 'forest', 'village' },
	};

tavern = room {
	nam = 'Таверна "Волчья пасть"',
	dsc = 'Обычная таверна на краю дороги.',
	way = { 'road' },
	obj = {'innkeeper'};
	};
	
village = room {
	nam = "Деревня",
	enter = function()
		if (rnd(3) <= 2) then
			local mobselect = rnd(3);
			if (mobselect == 1) then
				mob1 = rat;
			else
				mob1 = redneck;
			end;
			walkin(fight);
		end;
	end;
	dsc = [[Небольшая деревушка на опушке леса.]],
	way = { 'road', 'forest' },
	};

forest = room {
	nam = "Дремучий лес",
	enter = function()
		if (rnd(2) == 1) then
			local mobselect = rnd(3);
			if (mobselect <= 2) then
				mob1 = wolf;
			else
				mob1 = werewolf;
			end;
			walkin(fight);
		end;
	end;
	dsc = [[Темный дремучий лес. За вековыми деревьями еще можно
	 различить очертания деревни и дороги.]],
	way = { 'road', 'village', 'weretomb' },
	};

weretomb = room {
	nam = "Логово оборотней",
	enter = function()
		if (rnd(3) <= 2) then
			local mobselect = rnd(3);
			if (mobselect == 1) then
				mob1 = wolf;
			else
				mob1 = werewolf;
			end;
			walkin(fight);
		end;
	end;
	dsc = [[В чаше леса расположилось несколько неприметных землянок.]],
	way = { 'forest' },
	};

city = room {
	nam = "Столичный город",
	enter = function()
		if (rnd(3) <= 2) then
			local mobselect = rnd(3);
			if (mobselect == 1) then
				mob1 = rat;
			elseif (mobselect == 2) then
				mob1 = guard;
			else
				mob1 = cityman;
			end;
			walkin(fight);
		end;
	end;
	dsc = [[Огромный город. Тут множество домов, а в самом центре расположен королевский дворец.]],
	way = { 'road', 'laboratory', 'mansion', 'guild', 'tample', 'palace' },
	};

laboratory = room {
	nam = "Лаборатория",
	dsc = [[На первый взгляд это выглядит как лаборатория алхимика... 
	Но на самом деле тут живет жуткий некромант.]],
	way = { 'city' },
	obj = {'necromancer2'};
	};

mansion = room {
	nam = "Особняк",
	enter = function()
		if (rnd(3) <= 2) then
			local mobselect = rnd(3);
			if (mobselect == 1) then
				mob1 = guard;
			elseif (mobselect == 2) then
				mob1 = vampire;
			else
				mob1 = cityman;
			end;
			walkin(fight);
		end;
	end;
	dsc = "Большой и очень мрачный особняк",
	way = { 'city' },
	};

guild = room {
	enter = function()
		if (rnd(3) <= 2) then
			local mobselect = rnd(3);
			if (mobselect == 1) then
				mob1 = guard;
			elseif (mobselect == 2) then
				mob1 = hunter;
			else
				mob1 = cityman;
			end;
			walkin(fight);
		end;
	end;
	nam = "Гильдия",
	dsc = [[Строгое двухэтажное здание, полное вооруженных людей, готовых пристрелить на месте любого, похожего на нечисть.]],
	way = { 'city' },
	};

tample = room {
	nam = "Храм",
	dsc = 'Величественный храм. За ним начинается городское кладбище.',
	way = { 'graveyard', 'city' },
	};

graveyard = room {
	nam = "Кладбище",
	enter = function()
		if (rnd(3) <= 1) then
			local mobselect = rnd(3);
			if (mobselect == 1) then
				mob1 = rat;
			elseif (mobselect == 2) then
				mob1 = zombie;
			else
				mob1 = skeleton;
			end;
			walkin(fight);
		end;
	end;
	dsc = [[Городское кладбище за храмом.]],
	way = { 'tample' },
	};

palace = room {
	nam = "Королевский дворец",
	enter = function()
		if (rnd(4) <= 3) then
			local mobselect = rnd(3);
			if (mobselect == 1) then
				mob1 = cityman;
			else
				mob1 = guard;
			end;
			walkin(fight);
		end;
	end;
	dsc = [[Королевская резиденция в столице.]],
	way = { 'city' },
	};
